import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';


const makeSchema = () => z.object({
  id: z.literal(true).optional(),
  userId: z.literal(true).optional(),
  name: z.literal(true).optional(),
  labName: z.literal(true).optional(),
  labPhone: z.literal(true).optional(),
  labFax: z.literal(true).optional(),
  labAddress: z.literal(true).optional(),
  labAccount: z.literal(true).optional(),
  caseType: z.literal(true).optional(),
  material: z.literal(true).optional(),
  instructions: z.literal(true).optional(),
  sortOrder: z.literal(true).optional(),
  createdAt: z.literal(true).optional(),
  updatedAt: z.literal(true).optional(),
  _all: z.literal(true).optional()
}).strict();
export const LabRxTemplateCountAggregateInputObjectSchema: z.ZodType<Prisma.LabRxTemplateCountAggregateInputType> = makeSchema() as unknown as z.ZodType<Prisma.LabRxTemplateCountAggregateInputType>;
export const LabRxTemplateCountAggregateInputObjectZodSchema = makeSchema();
